Summary: The GNOME Display Manager
Name: gdm
Release: %mkrel 5
Version: 2.20.11
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/projects/gdm/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gdm/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Provides: dm
Obsoletes: xfce-gdm
Conflicts: legacy-gdm
Requires(pre):     rpm-helper
Requires(postun):  rpm-helper
Requires(post):	   scrollkeeper >= 0.3
Requires(postun):  scrollkeeper >= 0.3
Requires(post): desktop-common-data
Requires: pam >= 0.99.8.1
Requires: setup >= 2.1.9-33mdk
Requires: sessreg
Requires: usermode
Requires: cdialog
Requires: zenity
Requires: gksu
Requires: drakx-kbd-mouse-x11
Requires: xinitrc >= 2.4.14
Requires: openssh-clients
Requires: gdm-theme-uplos
BuildRequires: %{_lib}x11-static-devel
BuildRequires: x11-server-xorg
BuildRequires: x11-server-xephyr
BuildRequires: gettext
BuildRequires: libglade2.0-devel
BuildRequires: librsvg-devel
BuildRequires: pam-devel
BuildRequires: usermode
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: automake1.9 intltool
BuildRequires: consolekit-devel
BuildRequires: libwrap-devel
BuildRequires: zenity
BuildRequires: perl-XML-Parser

%description
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

%package Xnest
Summary: Xnest (ie embedded X) server for GDM
Group: %{group}
Requires: %{name} = %{version}
Requires: x11-server-xephyr
Conflicts: legacy-gdm-Xnest

%description Xnest
Gdm (the GNOME Display Manager) is a highly configurable
reimplementation of xdm, the X Display Manager. Gdm allows you to log
into your system with the X Window System running and supports running
several different X sessions on your local machine at the same time.

This package add support for Xnest server in gdm

%prep
%setup -q



%build

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 %buildroot/
mv * %buildroot/

#fix permissions
#find %buildroot -type d -print0 | xargs -0 chmod 0755
#find %buildroot -type f -print0 | xargs -0 chmod 0644

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%pre
%_pre_useradd gdm %{_var}/lib/gdm /bin/false
%_pre_groupadd xgrp gdm

%triggerpostun -- gdm < 2.8.0.0-2mdk
#replace changed paths in gdm.conf
sed -i -e "s^%_bindir/\(gdm[^ \t]\+\)^%_libexecdir/\1^g"  %{_sysconfdir}/X11/gdm/gdm.conf

%post
if [ -f /%{_sysconfdir}/X11/xdm/Xsession -a ! -x /%{_sysconfdir}/X11/xdm/Xsession ]; then
	chmod +x /%{_sysconfdir}/X11/xdm/Xsession
fi

if [ -x /usr/sbin/chksession ]; then /usr/sbin/chksession -g || true; fi

/sbin/ldconfig
%update_scrollkeeper
# Attempt to restart GDM softly by use of the fifo.  Wont work on older
# then 2.2.3.1 versions but should work nicely on later upgrades.
# FIXME: this is just way too complex
FIFOFILE=`grep '^ServAuthDir=' %{_sysconfdir}/X11/gdm/custom.conf | sed -e 's/^ServAuthDir=//'`
if test x$FIFOFILE = x ; then
        FIFOFILE=%{_var}/lib/gdm/.gdmfifo
else
        FIFOFILE="$FIFOFILE"/.gdmfifo
fi
PIDFILE=`grep '^PidFile=' %{_sysconfdir}/X11/gdm/custom.conf | sed -e 's/^PidFile=//'`
if test x$PIDFILE = x ; then
        PIDFILE=/var/run/gdm.pid
fi
if test -w $FIFOFILE ; then
        if test -f $PIDFILE ; then
                if kill -0 `cat $PIDFILE` 2> /dev/null ; then
                        (echo;echo SOFT_RESTART) >> $FIFOFILE
                fi
        fi
fi
# ignore error in the above
exit 0


# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;


%posttrans
if [ -f /etc/X11/gdm/custom.conf.rpmsave ]; then
mv /etc/X11/gdm/custom.conf.rpmsave /etc/X11/gdm/custom.conf
fi


%preun
rm -f %{_datadir}/gdm/themes/mdk > /dev/null


%postun
%{make_session}
%_postun_userdel gdm
%_postun_groupdel xgrp gdm
/sbin/ldconfig
%clean_scrollkeeper

%files
%defattr(-, root, root)
/usr/share/doc/gdm/*
%_sysconfdir/dbus-1/system.d/*
%_bindir/gdmdynamic
%_bindir/gdmsetup
%{_bindir}/gdmphotosetup
%{_bindir}/gdmflexiserver
%{_libexecdir}/gdmchooser
%{_libexecdir}/gdmgreeter
%{_libexecdir}/gdmlogin
%{_libexecdir}/gdmaskpass
%{_libexecdir}/gdmopen
%{_libexecdir}/gdmtranslate
%{_libexecdir}/gdm-ssh-session
%{_sbindir}/*
%dir %{_sysconfdir}/X11/gdm
%{_sysconfdir}/X11/gdm/XKeepsCrashing
%config(noreplace) %{_sysconfdir}/pam.d/gdm
%config(noreplace) %{_sysconfdir}/pam.d/gdmsetup
%config(noreplace) %{_sysconfdir}/pam.d/gdm-autologin
%config(noreplace) %{_sysconfdir}/security/console.apps/gdmsetup
%config(noreplace) %{_sysconfdir}/X11/gdm/custom.conf
%config(noreplace) %{_sysconfdir}/X11/gdm/locale.alias
%config(noreplace) %{_sysconfdir}/X11/gdm/Xsession
%dir %{_sysconfdir}/X11/dm
%dir %{_sysconfdir}/X11/dm/Sessions
%config(noreplace) %{_sysconfdir}/X11/gdm/PreSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostSession
%config(noreplace) %{_sysconfdir}/X11/gdm/PostLogin
%config(noreplace) %{_sysconfdir}/X11/gdm/Init
%config(noreplace) %{_sysconfdir}/X11/gdm/modules
%{_libdir}/gtk-2.0/modules/*.so
%{_datadir}/pixmaps/*
%{_datadir}/gdm
%{_datadir}/PolicyKit/policy/*
%dir %{_datadir}/hosts
%attr(1770, gdm, gdm) %dir %{_var}/lib/gdm
%dir %{_var}/log/gdm
%_datadir/icons/hicolor/*/apps/gdm*
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man1/*
#%%dir %{_datadir}/xsessions
#%%exclude %{_datadir}/xsessions/ssh.desktop
%{_datadir}/locale/*
%{_datadir}/gnome/help/*
%{_datadir}/omf/*

#%%files Xnest
#%%defattr(-, root, root)
#%%{_bindir}/gdmthemetester
#%%{_bindir}/gdmXnestchooser
#%%{_bindir}/gdmXnest
#%%{_bindir}/gdm-dmx-reconnect-proxy


%changelog
* Wed Jan 11 2017 tele <tele>
- Warning: Here I used gdm-2.20.11-4pclos2014.i586.rpm for only change rpm dependencies,
  so here source code not exist.

* Wed Jun 26 2013 Texstar <texstar at gmail.com> 2.20.11-4pclos2013
- replace gdm gnome 3 with gdm gnome 2 version 

* Thu Oct 14 2010 Texstar <texstar at gmail.com> 2.20.11-3pclos2010
- exclude xsession folder as it is not used in pclinuxos

* Sun Oct 10 2010 Texstar <texstar at gmail.com> 2.20.11-2pclos2010
- add posttran to restore custom.conf

* Sat Jul 18 2010 Texstar <texstar at gmail.com> 2.20.11-1pclos2010
- 2.20.11
- add patch 15 & 16

* Sat Jan 02 2010 Texstar <texstar at gmail.com> 2.20.10-3pclos2010
- rebuild

* Mon May 11 2009 Texstar <texstar@gmail.com> 2.20.10-2pclos2009
- fix gdm desktop file per Ken

* Mon May 11 2009 Texstar <texstar@gmail.com> 2.20.10-1pclos2009
- 2.20.10

* Fri Oct 24 2008 Neverstopdreaming <neverstopdreaming@gmail.com> 2.20.9-1pclos2007
- Rebuild

* Fri May 09 2008 Slick50 <linuxgator.org> 2.20.3-2pclos2007
- removed Tux_G2_Vert patch added Avio-GDM for defaut theme

* Fri Apr 25 2008 Slick50 <linuxgator.org> 2.20.3-1pclos2007
- 2.20.3

* Wed Dec 19 2007 Texstar <texstar@gmail.com> 2.20.2-3pclos2007
- require gdm themes
- patch to use Tux_G2_vert by default

* Sat Dec 01 2007 Texstar <texstar@gmail.com> 2.20.2-2pclos2007
- rebuild

* Sat Dec 01 2007 Texstar <texstar@gmail.com> 2.20.2-1pclos2007
- 2.20.2
